/***************************************************************************
                          filter_pab.cxx  -  description
                             -------------------
    begin                : Fri Jun 30 2000
    copyright            : (C) 2000 by Hans Dijkema
    email                : kmailcvt@hum.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "filter_pab.hxx"
#include "pablib.hxx"

#include <kfiledialog.h>

filter_pab::filter_pab() : filter("Import MS Exchange Personal Adress Book (.PAB)")
{}

filter_pab::~filter_pab()
{}

void filter_pab::import(filterInfo *info,QWidget *parent)
{
QString _file;
char     file[1024];
char     dir[1024];
   sprintf(dir,getenv("HOME"));

   _file=KFileDialog::getOpenFileName(dir,"*.pab *.PAB *.Pab",parent);
   if (_file.length()==0) {
     info->alert(name(),"No Adressbook choosen");
     return;
   }
   strcpy(file,_file);

   {pab PAB(file,this,info,parent);
      PAB.convert();
   }

}
